Package serp.bytecode.lowlevel

# Class UTF8Entry

java.lang.Object
serp.bytecode.lowlevel.Entry
serp.bytecode.lowlevel.UTF8Entry

All Implemented Interfaces:
  `ConstantEntry`, `VisitAcceptor`

public class UTF8Entry extends Entry implements ConstantEntry
A unicode string value in the constant pool.

Author:
  Abe White

## Field Summary

### Fields inherited from class serp.bytecode.lowlevel.Entry

`CLASS, DOUBLE, FIELD, FLOAT, INT, INTERFACEMETHOD, INVOKEDYNAMIC, LONG, METHOD, METHODHANDLE, METHODTYPE, NAMEANDTYPE, STRING, UTF8`

## Constructor Summary

Constructors
Constructor
Description
`UTF8Entry()`
Default constructor.
`UTF8Entry(String value)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`acceptVisit(BCVisitor visit)`
Accept a visit from a `BCVisitor`, calling the appropriate methods to notify the visitor that it has entered this entity, and to provide it with the proper callbacks for each sub-entity owned by this one.
`Object`
`getConstant()`
Return the value of the constant held by this entry.
`int`
`getType()`
Return the type code for this entry type.
`String`
`getValue()`
Return the value of the entry.
`void`
`setConstant(Object value)`
Set the value of the constant held by this entry.
`void`
`setValue(String value)`
Set the value of the entry.

### Methods inherited from class serp.bytecode.lowlevel.Entry

`create, getIndex, getPool, isWide, read, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UTF8Entry

public UTF8Entry()
Default constructor.

### UTF8Entry

public UTF8Entry(String value)
Constructor.

Parameters:
  `value` - the constant string value of this entry

## Method Details

### getType

public int getType()
Description copied from class: `Entry`
Return the type code for this entry type.

Specified by:
  `getType` in class `Entry`

### getValue

public String getValue()
Return the value of the entry.

### setValue

public void setValue(String value)
Set the value of the entry.

### getConstant

public Object getConstant()
Description copied from interface: `ConstantEntry`
Return the value of the constant held by this entry.

Specified by:
  `getConstant` in interface `ConstantEntry`

### setConstant

public void setConstant(Object value)
Description copied from interface: `ConstantEntry`
Set the value of the constant held by this entry.

Specified by:
  `setConstant` in interface `ConstantEntry`

### acceptVisit

public void acceptVisit(BCVisitor visit)
Description copied from interface: `VisitAcceptor`
Accept a visit from a `BCVisitor`, calling the appropriate methods to notify the visitor that it has entered this entity, and to provide it with the proper callbacks for each sub-entity owned by this one.

Specified by:
  `acceptVisit` in interface `VisitAcceptor`